Extending Qt Creator Manual | NamePrettyPrinter

Extending Qt Creator Manual 4.5.2

# NamePrettyPrinter Class

(CPlusPlus::NamePrettyPrinter)

- List of all members, including inherited members

## Public Functions

| NamePrettyPrinter(const Overview *overview)
virtual | ~NamePrettyPrinter()
const Overview * | overview() const
QString | operator()(const Name *name)

## Protected Functions

QString | switchName(const QString &name = QString())
virtual void | visit(const Identifier *name)
virtual void | visit(const TemplateNameId *name)
virtual void | visit(const DestructorNameId *name)
virtual void | visit(const OperatorNameId *name)
virtual void | visit(const ConversionNameId *name)
virtual void | visit(const QualifiedNameId *name)
virtual void | visit(const SelectorNameId *name)
virtual void | visit(const AnonymousNameId *name)

## Member Function Documentation

### NamePrettyPrinter::NamePrettyPrinter(const Overview *overview)

Default constructs an instance of NamePrettyPrinter.

### `[virtual]` NamePrettyPrinter::~NamePrettyPrinter()

Destroys the instance of NamePrettyPrinter. The destructor is virtual.

### const Overview *NamePrettyPrinter::overview() const

### `[protected]` QString NamePrettyPrinter::switchName(const QString &name = QString())

### `[virtual protected]` void NamePrettyPrinter::visit(const Identifier *name)

### `[virtual protected]` void NamePrettyPrinter::visit(const TemplateNameId *name)

### `[virtual protected]` void NamePrettyPrinter::visit(const DestructorNameId *name)

### `[virtual protected]` void NamePrettyPrinter::visit(const OperatorNameId *name)

### `[virtual protected]` void NamePrettyPrinter::visit(const ConversionNameId *name)

### `[virtual protected]` void NamePrettyPrinter::visit(const QualifiedNameId *name)

### `[virtual protected]` void NamePrettyPrinter::visit(const SelectorNameId *name)

### `[virtual protected]` void NamePrettyPrinter::visit(const AnonymousNameId *name)

### QString NamePrettyPrinter::operator()(const Name *name)